Function
positionRangeNoClip
Returns a pair of the begin and end position in or beyond the haystack or needle for the last hit found.
positionRangeNoClip(finder)
positionRangeNoClip(pattern)
Include Headers
seqan/index.h
Parameters

finder | A Finder object. Types: Swift
pattern | A Pattern object. Types: Swift

Return Values
A pair of the begin and end position in the haystack or needle for the last hit found. These positions could be negative or beyond the end of finder or pattern when using filter algorithms.
Remarks: The return type is Pair<typename SAValue<THost>::Type> if THost is the type of haystack or needle.
See Also
positionRange
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48